# Deepgram

## What is this

Deepgram is a superior speech to text/transcript service that takes audio and transcribes it. The module works as a provider for the [AI module](https://www.drupal.org/project/ai) making it possible to create transcripts from audio files and also do speech to text in a very natural way for the English language.

This means that any third party library utilizing the [AI module](https://www.drupal.org/project/ai) for speech-to-text or text-to-speech will make the Deepgram module available.

For the AI Interpolator this replaces the Deepgram transcribe rules and makes them generically available for the new AI Automator.

For more information on how to use the AI Automator (previously AI Interpolator), check https://workflows-of-ai.com.

## Features
* It can do simple text to speech.
* It can do advanced transcriptions with exact timestamp, diarization, smart wording and more.
* It can generate very realistic speech from text in the English language.

## Requirements
* Requires an account at [Deepgram](https://deepgram.com/). They have free trials.
* Requires the AI module.

## How to use as AI Automator type
1. Install the [AI module](https://www.drupal.org/project/ai).
2. Install this module.
3. Visit /admin/config/google_places/settings and add your api keys from your Google Places account.
4. Create some entity or node type with a simple text field.
5. Create an file field and set mp3.
6. Enable AI Automator checkbox and configure it.
7. Create an entity of the type you generated, fill in some text and save.
8. The audio file be filled out.

## Sponsors
This module was supported by FreelyGive (https://freelygive.io/), your partner in Drupal AI.
